Enterprise Handle
curl --request GET \
--url https://ebn.telemetree.io/public-api/enterprise/{handle} \
--header 'x-api-key: <api-key>'import requests
url = "https://ebn.telemetree.io/public-api/enterprise/{handle}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://ebn.telemetree.io/public-api/enterprise/{handle}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"handle": "<string>",
"data": {
"premium_users": 123,
"non_premium_users": 123,
"0-5 seconds": 123,
"5-10 seconds": 123,
"11-60 seconds": 123,
"1-5 minutes": 123,
"5+ minutes": 123
},
"status_code": 200,
"message": "Success"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Enterprise API
Enterprise Handle
Enterprise API
Description: Retrieves the cumulative application info based on the specified handle.
Parameters:
handle: The handle of the application (ensure it does not include @)
Header
x-api-key: Your API Key (Dashboard->Settings)
Returns:
ApplicationInfoResponse: The response containing the application info. It contains the following fields:data: The application info with the following fields:premium_users: The number of premium users.non_premium_users: The number of non-premium users.zero_to_five_seconds: The number of users who have 0-5 seconds of session length.five_to_ten_seconds: The number of users who have 5-10 seconds of session length.eleven_to_sixty_seconds: The number of users who have 11-60 seconds of session length.one_to_five_minutes: The number of users who have 1-5 minutes of session length.five_plus_minutes: The number of users who have 5+ minutes of session length.
handle: The handle of the application.status_code: The status code of the response.message: The message of the response.
GET
/
enterprise
/
{handle}
Enterprise Handle
Authorizations
Your API Key (Dashboard->Settings)
Path Parameters
Handle of the application